Subject: Re: ab/fsck-unexpected-type (and "cat-file replace handling and optimization")

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 06 Oct 2021 10:54:43 +0200

On Tue, Oct 05 2021, Jeff King wrote:

> On Tue, Oct 05, 2021 at 10:47:26PM +0200, Ævar Arnfjörð Bjarmason wrote:
>
>> > * ab/fsck-unexpected-type (2021-10-01) 17 commits
>> [...]
>> Note that Jeff's just-submitted cat-file series[3] will conflict with
>> this, as they both adjust the same "garbage" object tests. The semantic
>> conflict is minimal/none, but the textual one is probably annoying
>> (e.g. his 1/5 uses a variable I split/renamed).
>> 
>> Jeff: Depending on what Junio thinks of queuing ab/fsck-unexpected-type
>> for next what do you think about rebasing your series on top, or perhaps
>> take a look at the v10[4] of it/ack it in case that helps with that (since
>> you've been looking at some related code just now...).
>
> The conflict is pretty easy to resolve: just keep my new cleanup tests,
> but swap out the variable name. The combined diff is below for
> reference (this is more readable than a remerge diff, but I guess a
> remerge diff could actually be applied).
>
> I don't mind rebasing on top if that's easier for Junio, but in that
> case it may make sense to float the test cleanup to the front of the
> series.
>
> I can also just change mine to do the --batch-all-objects tests in a
> separate repository (which is what the existing ones do). That has the
> minor advantage that we know all objects in the repository, so rather
> than picking out the interesting object with perl, we could generate the
> full expected output.

Thanks, your plan sounds better. I hadn't tried the merge when I sent
that E-Mail, just saw your series & that it would conflict, wanted to
give you/Junio a headsup.